About the TestTrack Pro Add-In

The TestTrack Pro Add-In can be used with Visual Basic 6.0, Visual C++ 6.0, and Visual Studio .NET. A dockable TestTrack Pro toolbar is added to the IDE, letting you work in your development environment while accessing TestTrack Pro functions. The TestTrack Pro Add-In functions the same regardless of your development environment, with the following exceptions:

  • Visual Basic has no concept of a workspace. If you are working in the Visual Basic development environment, there is no provision for connecting to a database. Also, you cannot set TestTrack Pro Add-In options in Visual Basic.
  • Visual C++ refers to workspaces. Visual Studio .NET refers to solutions.


Installing the Add-In

During TestTrack Pro client installation, the Add-In Options dialog box opens if Visual Basic 6.0, Visual C++6.0, or Visual Studio .NET are installed on your computer.

  • If Visual C++ 6.0 is installed on your computer, make sure you read the Note information. It include instructions for enabling the Add-In.
  • If Visual Basic 6.0 or Visual Studio .NET is installed on your computer, select the corresponding development environment check box. You do not need to manually enable the Add-In.


The toolbar

The TestTrack Pro toolbar contains buttons that give you access to TestTrack Pro functions and list windows—just a click away!

Connect to the TestTrack Pro server

Disconnect from the TestTrack Pro server

Open the Defects list

Add a defect

Open the Workbook task list

Add a Workbook task

Select add-in options

View information about TestTrack Pro


Server connections

The databases you use can be located on different servers. You may need to add, edit, or delete server connections to ensure you are accessing the correct TestTrack Pro server.

Adding a server connection

Editing a server connection

Deleting a server connection


Adding a server connection

  1. Click the Connect toolbar button.

    2. The Server Connection dialog box opens.

  2. Click Setup.

    3. The Setup Server Configurations dialog box opens.

  3. Click Add.

    4. The Add TestTrack Pro Server dialog box opens.

  4. Enter a server name and server address.

    5. The server address is the IP address of the PC where the TestTrack Pro Server is installed. Your system administrator can tell you the server address.

  5. Check the port field value.

    6. Clients connect to the server via TCP/IP on this port. Values can be in the range of 1-65535. This field defaults to 99.

  6. Click OK.

    7. The server is added to the list of TestTrack Pro servers. To change the order of the servers, select a server entry and click Up or Down.


Editing a server connection

  1. Click the Connect toolbar button.

    2. The Server Connection dialog box opens.

  2. Click Setup.

    3. The Setup Server Configurations dialog box opens.

  3. Select the server and click Edit.
  4. Make any changes.

    5. You can change the server address and port number.

  5. Click OK.

    6. Your changes are saved.


Deleting a server connection

  1. Click the Connect toolbar button.

    2. The Server Connection dialog box opens.

  2. Click Setup.

    3. The Setup Server Configurations dialog box opens.

  3. Select the server and click Delete.

    4. You are prompted to confirm the deletion.

  4. Click Yes.

    5. The server is deleted.


Connecting to TestTrack Pro

  1. Click the Connect toolbar button.

    2. The Server Connection dialog box opens.

    Note: The databases you access can be located on different servers. See Adding a server connection for more information.
  2. Select a server from the Connect to TestTrack Pro Server list and click Connect.

    3. The Login dialog box opens.

  3. Enter a Username and Password.
  4. Select a Database.
  5. Click OK.

    6. You are connected to the TestTrack Pro server and database.


Disconnecting from TestTrack Pro

When you finish working with defects, make sure you disconnect from the database and server.

  1. Click the Disconnect toolbar button.

    2. You are prompted to confirm that you want to disconnect.

  2. Click Yes.

    3. The database and server connection are closed.


Opening the Workbook task list

  1. Click the Task List toolbar button.

    2. The Workbook list window opens. You can track defect tasks and To Do tasks in the Workbook. Icons in the type column of the Workbook list indicate your assigned defects and the To Do tasks you added to the workbook.

    Icon | Indicates
 | Defects tasks
 | To do tasks


Adding a task

  1. Click the Add Task toolbar button or click Add on the Workbook list window.

    2. The Add To Do dialog box opens.

  2. Enter the task information.
  3. Click Add.

    4. The dialog box clears and you can add another task. Click Close when you finish.


Editing a task

  1. On the Workbook list window, select the task and click Edit.
  2. Make any changes and click OK.

    3. If the To Do task is completed, select Done. The task appears greyed-out and a check mark is displayed in the first column of the Workbook list window.


Viewing a task

  1. On the Workbook list window, select the task or defect and click View.

    2. The View To Do or View Defect dialog box opens. All fields are read-only.


Deleting a task

  1. On the Workbook list window, select the task you want to delete and click Delete.

    2. You can only delete To Do tasks. You cannot delete defects.

  2. You are prompted to confirm the deletion. Click OK.

    3. The To Do task is deleted.


Opening the defects list

The defect list tracks all defects entered in a database.

  1. Click the Defect List toolbar button.

    2. The Defects list window opens.


Adding a defect

  1. Click the Add Defect toolbar button or click Add on the Defect list.

    2. The Add Defect window opens.

  2. Enter the defect information.


Viewing a defect

  1. Select the defect you want to view on the Defects list window and click View.

    2. The View Defect window opens. All fields are read-only.


Editing a defect

  1. Select the defect on the Defects list window and click Edit.
  2. Make any changes and click OK.


Deleting a defect

  1. Select the defect(s) on the Defects list window and click Delete.
  2. You are prompted to confirm the deletion. Click OK.


Setting options

You can set Open Workspace and Login options that are specific to Visual C++ and Visual Studio .NET.

Note: Remember, Visual Studio .NET refers to solutions and Visual C++ refers to workspaces.

Each workspace/solution can be associated with a single TestTrack Pro database. Multiple workspaces/solutions can also be associated with one TestTrack Pro database. The TestTrack Pro database does not have a direct link to a workspace/solution.

When a workspace/solution is opened, and a TestTrack Pro database is associated with the workspace/solution, the TestTrack Pro Add-In receives a message. A connection with the TestTrack Pro server is established and you are logged into the database. When a workspace/solution is closed, you are logged out of the current database.


Open Workspace tab

  1. Click the Options toolbar button.

    2. The Developer Studio Add-In Options dialog box opens with the Open Workspace tab selected.

  2. Select Do nothing (leave the TestTrack connection as is) if you do not want to connect to the TestTrack Pro Server and log in to a TestTrack Pro database.
  3. Select Always login to the default TestTrack database to automatically log in to your default database. You can specify the default database on the Login tab.
  4. Select Login to the TestTrack database associated with this workspace to automatically log in to a database. After selecting this option, you need to choose an option from the dropdown list. The option you select determines what happens when a TestTrack Pro database is not associated with the workspace.


Login tab

The Login tab lets you set the default login information and associate Visual Studio workspaces with TestTrack Pro databases. When you open a workspace, you can automatically login and connect to a specific TestTrack Pro database.


Setting the default login information

  1. On the Login tab, click Edit in the Default TestTrack Login area.
  2. The Associate Workspace with TestTrack dialog box opens.
  3. Select a server from the menu. Click Configure if you need to add a server.
  4. Select a database from the menu.
  5. Enter your username and password.
  6. Click OK.

    7. The Default TestTrack Login area is populated with the information you entered. Click Edit if you need to change any information.


Associating a workspace with a TestTrack Pro database

  1. On the Login tab, click Add in the Associate TestTrack area.
  2. The Associate Workspace with TestTrack dialog box opens.
  3. Click Use Current or the Browse button to select the workspace you want to associate with the database.
    4. Note: Selecting Save full pathname for the workspace gives you greater control of the workspace association. For example, if you have two workspace files with the same filename, select this option to you associate each workspace with a different TestTrack Pro database.
  4. Select a server from the menu. Click Configure if you need to add a server.
  5. Select a database from the menu. Enter your username and password.
  6. Click OK.

    7. The Associate TestTrack area is populated with the information you entered.

    Note: Select a row and click Edit to make changes. If you want to delete an association, select a row and click Delete. Make sure you want to delete the association - you are not prompted to confirm the deletion and this action cannot be undone!


TestTrack Pro Add-In

Use the TestTrack Pro Add-In…

and never leave your development environment! You can track bugs and perform other developer tasks without switching applications.